#!/bin/sh
# chmod 755 /usr/local/etc/rc.d/avr_start.sh
# Write to system log, event ids in /usr/syno/synosdk/texts/enu/events
# (http://forum.synology.com/enu/viewtopic.php?f=27&t=6396)


workingDir="NEWPATH"
AvrExecution=0

# --- Check AvrLogger PID
if [ -e "$workingDir""avr.pid" ]; then
    AvrPID=`cat "$workingDir""avr.pid"`
   	ListPID=`ps -e | grep "avr.sh" | grep -v grep | awk '{print $1;}'`
   	for PIDEL in $ListPID; do
       	if [ $PIDEL -eq $AvrPID ]
       	then
           	AvrExecution=1
           	AvrPID=$PIDEL
			break
       	fi
   	done
fi

case $1 in
start)
	if [ $AvrExecution -eq 0 ]
	then
		"$workingDir""avr.sh" &
		/usr/syno/bin/synologset1  sys info 0x11800000 "$0: AvrLogger started in Service-Mode"
		echo "AvrLogger was started in Service-Mode"
	else
		echo "AvrLogger is already running"
	fi
	;;
stop)
	if [ $AvrExecution -eq 1 ]; then
		kill -15 $AvrPID
        if [ -e "$workingDir""avr.pid" ]; then rm "$workingDir""avr.pid"; fi
		/usr/syno/bin/synologset1  sys info 0x11800000 "$0: AvrLogger was stopped by System: ShutDown"
		echo "AvrLogger PID: "$AvrPID" was stopped by System: ShutDown"
	fi
	;;
*)
	echo "Usage: $0 [start|stop]"
    ;;
esac
